#1142 First Attempt to Enter Safe Combination Always Fails (even when entered properly)

v1.0_(example)
closed
5
2014-01-10
2013-11-01
Nameru-na
No

When I try to enter the Safe Combination for my password safe, it always tells me I entered the wrong combination on the first attempt, even when I am very careful to be sure I've entered it correctly, CAPS LOCK, NUM LOCK, FN LOCK, etc. isn't on, etc. I've tried entering it in notepad to be sure it's correct then copying and pasting. Nothing works.

The second attempt is always successful.

Related

Bugs: #1142

Discussion

  • Nameru-na

    Nameru-na - 2013-11-01

    BTW, I'm running v3.32 (g1d3604e) on 64-Bit Windows 8

     
  • Rony Shapiro

    Rony Shapiro - 2013-11-01

    Can you check if this happens with a sample database and a "simple" Safe Combination, say, 12345678?

     
  • Nameru-na

    Nameru-na - 2013-11-01

    OK, I just tried this: Exit PWS, relaunch PWS, create new password DB with pass 12345. Minimize PWS, lock workstation, log back in to workstation, hit PWS hotkey, enter PW 12345.
    It fails the first time but works the second time.

     
  • Rony Shapiro

    Rony Shapiro - 2013-11-02

    Odd, I can't reproduce this on my Win7.
    - Does this also happen when you lock the database manually, or when it locks via the inactivity timeout?
    - When you type in the PW after the hotkey, do you see a '*' for every key? I'm thinking that the first key may be somehow lost.

     
  • Nameru-na

    Nameru-na - 2013-11-03
    • Does this also happen when you lock the database manually, or when it locks
      via the inactivity timeout?
      JR> Not sure how to lock manually.
    • When you type in the PW after the hotkey, do you see a '*' for every key?
      I'm thinking that the first key may be somehow lost.
      JR> I see the * for every key including the first key.

    From: Rony Shapiro [mailto:ronys@users.sf.net]
    Sent: Saturday, November 2, 2013 5:01 AM
    To: [passwordsafe:bugs]
    Subject: [passwordsafe:bugs] #1142 First Attempt to Enter Safe Combination
    Always Fails (even when entered properly)

    Odd, I can't reproduce this on my Win7.
    - Does this also happen when you lock the database manually, or when it locks
    via the inactivity timeout?
    - When you type in the PW after the hotkey, do you see a '*' for every key?
    I'm thinking that the first key may be somehow lost.


    [bugs:#1142] http://sourceforge.net/p/passwordsafe/bugs/1142/ First Attempt
    to Enter Safe Combination Always Fails (even when entered properly)

    Status: open
    Labels: safecombination
    Created: Fri Nov 01, 2013 06:19 PM UTC by Nameru-na
    Last Updated: Fri Nov 01, 2013 10:54 PM UTC
    Owner: nobody

    When I try to enter the Safe Combination for my password safe, it always tells
    me I entered the wrong combination on the first attempt, even when I am very
    careful to be sure I've entered it correctly, CAPS LOCK, NUM LOCK, FN LOCK,
    etc. isn't on, etc. I've tried entering it in notepad to be sure it's correct
    then copying and pasting. Nothing works.

    The second attempt is always successful.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/passwordsafe/bugs/1142/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1142

  • Rony Shapiro

    Rony Shapiro - 2014-01-10

    It's a bit hard for me to work on this without being able to reproduce it.

    Another thing that comes to mind: Do you have any application installed that could be monitoring keystrokes, e.g., waiting for a hotkey combination?

     
    • Nameru-na

      Nameru-na - 2014-01-10

      Not that I know of.

      Lately since upgrading I haven’t noticed the problem. Hopefully it was fixed?

      Jim Ryan - morpheus@post.harvard.edu morpheus@post.harvard.edu - M: +1.617.821.1686

      From: Rony Shapiro [mailto:ronys@users.sf.net]
      Sent: Friday, January 10, 2014 2:57 AM
      To: [passwordsafe:bugs]
      Subject: [passwordsafe:bugs] #1142 First Attempt to Enter Safe Combination Always Fails (even when entered properly)

      It's a bit hard for me to work on this without being able to reproduce it.

      Another thing that comes to mind: Do you have any application installed that could be monitoring keystrokes, e.g., waiting for a hotkey combination?


      [bugs:#1142] http://sourceforge.net/p/passwordsafe/bugs/1142/ First Attempt to Enter Safe Combination Always Fails (even when entered properly)

      Status: open
      Labels: safecombination
      Created: Fri Nov 01, 2013 06:19 PM UTC by Nameru-na
      Last Updated: Sat Nov 02, 2013 09:01 AM UTC
      Owner: nobody

      When I try to enter the Safe Combination for my password safe, it always tells me I entered the wrong combination on the first attempt, even when I am very careful to be sure I've entered it correctly, CAPS LOCK, NUM LOCK, FN LOCK, etc. isn't on, etc. I've tried entering it in notepad to be sure it's correct then copying and pasting. Nothing works.

      The second attempt is always successful.


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/passwordsafe/bugs/1142/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1142

  • Rony Shapiro

    Rony Shapiro - 2014-01-10

    Well, since no one else reported this problem, and since it now works for you, I'm closing this ticket. If the problem reappears, please re-open it.

     
  • Rony Shapiro

    Rony Shapiro - 2014-01-10
    • status: open --> closed
    • assigned_to: Rony Shapiro
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks